Bug 1820 - OpenVMS VFC format file corruption
OpenVMS VFC format file corruption
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.7
All OpenVMS
: P3 critical
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-24 11:27 UTC by John Malmberg
Modified: 2010-04-26 17:55 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Malmberg 2004-09-24 11:27:05 UTC
This is for tracking the issue on OpenVMS Only.

Platforms are VAX, Alpha, and Itanium.

It has been reported that the transfer of VFC format record files which is a
common plain text format on OpenVMS is sometimes corrupted.

VFC format files can not be binary transferred, and must be converted to what is
considered a stream-crlf or a stream-lf format to be readable on a Microsoft or
LINUX samba clients.

It appears that there is a critical bug in the special handling of these files.
Comment 1 John Malmberg 2004-09-26 10:48:35 UTC
It appears that the SAMBA code for VMS was built with HAVE_MMAP enabled.  The
MMAP access to the files will bypass the special handling for VFS and other
record oriented file types.  It can only be used for STREAM or BINARY record
formats.

This still needs to be confirmed as to the real cause of the bug.
Comment 2 Stefan Metzmacher 2010-04-26 03:41:03 UTC
If it's still broken in 3.5, please reopen.
3.0 isn't supported anymore.
Comment 3 Björn Jacke 2010-04-26 07:08:56 UTC
I asked guenter.kriebel@hp.com in 2007 for the patches that they created to
make Samba on OpenVMS work
(http://h71000.www7.hp.com/network/cifs_for_samba.html). The OpenVMS folks
might have fixed that, too. I didn't get any answer to by mail though. Maybe you want to ping them again and ask for their patches. Please let us know if you get feedback.
Comment 4 John Malmberg 2010-04-26 17:55:24 UTC
From my knowledge, Guenter was involved with a special SAMBA build for a very limited set of HP customers.  These customers used SAMBA in an embedded application with a restricted data set.  That data set was just binary files, no VMS text or other specific formats were needed.

This was a modification to the then existing Customer port of SAMBA, where basically most of the VMS specific file handling code was removed.  Most of that code was there to support the ODS-2 file system and in some cases could significantly slow down file and directory lookups.

The resulting Samba worked very well for those customers.

When I was an HP employee, it was HP's official policy to supply the source in the binary kits for open source projects.  It may not be the default installation option for an install kit.  On a media distribution, it should be on the media if it is not contained in the install kit.

As for the present HP CIFS for OpenVMS offering, I did not do any direct work on that code, and I have not looked at the source for what was in it.

It was planned to use the VFS layer to to handle the VMS specific file structures.